# class KDateTable | Date selection table. More...
Internal Use Only
Definition | `#include <kdatetbl.h>`
Inherits | QTableView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDateTable (QWidget *parent=0, QDate date=QDate::currentDate(), const char* name=0, WFlags f=0)
- virtual QSize sizeHint () const
- void setFontSize (int size)
- bool setDate (const QDate&)
- const QDate& getDate ()

#### Signals

- void dateChanged (QDate)
- void tableClicked ()

#### Protected Methods

- virtual void paintCell (QPainter*, int, int)
- virtual void resizeEvent (QResizeEvent *)
- virtual void mousePressEvent (QMouseEvent *)

#### Protected Members

- int fontsize
- QDate date
- int firstday
- int numdays
- int numDaysPrevMonth
- bool hasSelection
- QRect maxCell

## Detailed Description

Date selection table. This is a support class for the KDatePicker class. It just draws the calender table without titles, but could theoretically be used as a standalone.

When a date is selected by the user, it emits a signal: dateSelected(QDate)

KDateTable (QWidget *parent=0, QDate date=QDate::currentDate(), const char* name=0, WFlags f=0) | ### KDateTable

QSize sizeHint () | ### sizeHint

[const virtual]

Returns a recommended size for the widget. To save some time, the size of the largest used cell content is calculated in each paintCell() call, since all calculations have to be done there anyway. The size is stored in maxCell. The sizeHint() simply returns a multiple of maxCell.

void setFontSize (int size) | ### setFontSize

bool setDate (const QDate&) | ### setDate

const QDate& getDate () | ### getDate

void paintCell (QPainter*, int, int) | ### paintCell

[protected virtual]

Reimplemented from QTableView.

void resizeEvent (QResizeEvent *) | ### resizeEvent

[protected virtual]

Reimplemented from QTableView.

void mousePressEvent (QMouseEvent *) | ### mousePressEvent

[protected virtual]

int fontsize | ### fontsize

[protected]

QDate date | ### date

[protected]

int firstday | ### firstday

[protected]

int numdays | ### numdays

[protected]

int numDaysPrevMonth | ### numDaysPrevMonth

[protected]

bool hasSelection | ### hasSelection

[protected]

QRect maxCell | ### maxCell

[protected]

void dateChanged (QDate) | ### dateChanged

[signal]

void tableClicked () | ### tableClicked

[signal]

- Version: $Id: kdatetbl.h,v 1.19 2000/08/15 21:42:06 waba Exp $
- Author: Tim Gilman, Mirko Sucker
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.